What browsers are supported with My Account?:


To use My Account, you'll need one of the following supported web browsers:

• Internet Explorer 8.0 or higher
• Firefox 3.6 and higher
• Chrome 12 and higher
• Safari 5.0.5 and higher

Note: Firefox, Chrome and Safari automatically update with the latest version.

Note: If you are using IE8 or higher and encounter problems with the site not working properly it may be because Compatibility View is enabled.

To turn off Compatibility View:

1. Open Internet Explorer.
2. Tap or click Tools, and then tap or click Compatibility View Settings.
3. Remove timewarnercable.com and/or myservices.timewarnercable.com from the list of websites.
4. Uncheck "Display all websites in Compatibility View" checkbox.
5. Click or tap Close.

Thank you for your feedback
Thank you for your feedback

If no, what do you think would improve this section?